Issue 121108 - [testUNO patch]validity test script include Criterial/Error Alert/Input Help
[testUNO patch]validity test script include Criterial/Error Alert/Input Help
Status: CLOSED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
3.4.1
All All
: P3 normal
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 08:11 UTC by Terry Yang
Modified: 2013-07-11 14:50 UTC (History)
0 users

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch file (9.50 KB, patch)
2012-09-26 08:12 UTC, Terry Yang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Terry Yang 2012-09-26 08:11:43 UTC
In this script it include validity related funciton

Set/Get Criteria
Vlidation Type
ValidationType.ANY
ValidationType.DATE
ValidationType.DECIMAL
ValidationType.LIST
ValidationType.TEXT_LEN
ValidationType.TIME
ValidationType.WHOLE

Allow Blank Cells
IgnoreBlankCells

ConditionOperator
ConditionOperator.EQUAL
ConditionOperator.BETWEEN
ConditionOperator.GREATER
ConditionOperator.GREATER_EQUAL
ConditionOperator.LESS
ConditionOperator.LESS_EQUAL
ConditionOperator.NOT_BETWEEN
ConditionOperator.NOT_EQUAL

Set/Get Error Alert
Error Alert title
Show/Hide Error Alert

Error Alert type
ValidationAlertStyle.MACRO
ValidationAlertStyle.WARNING
ValidationAlertStyle.STOP
ValidationAlertStyle.INFO

Error meassage

Set/Get Input Help
Show/Hide help message
Help title
Input Help
Comment 1 Terry Yang 2012-09-26 08:12:26 UTC
Created attachment 79643 [details]
Patch file

Add patch
Comment 2 SVN Robot 2012-10-24 10:30:11 UTC
"wanglf" committed SVN revision 1401611 into trunk:
#121108 - [testUNO patch]validity test script include Criterial/Error Alert/I...
Comment 3 Terry Yang 2012-10-25 08:03:40 UTC
Change bug status to fixed
Comment 4 Terry Yang 2012-10-25 08:04:06 UTC
Close it